2025-11-06 14.00 UTC - There are currently no active events. All systems operational.

Get list of cross connection points

Prev Next
Get
/ccps/

Operation is used to get a list of cross connection points. Available from product version 3.2.8.

Cross connection points can be filtered by giving filtering parameters at HTTP querystring (see parameters).

Security
API Key: Token
Header parameter nameAuthorization

Token issued for API consumer.

Query parameters
offset
integer

Offset to start returning results.

Minimum0
limit
integer

Limit number of results returned. Set to -1 to use maximum limit set in the environment. Default limit will be used if parameter is not specified. Special value -1 is available from product version 3.2.18.

Minimum1
__any of the object fields__
string

Filters list by selected object field value. Supports structured queries via +__+ delimiter. Supports ending keywords via +__+ delimiter:

  • For string fields: istartswith, startswith, iendswith, endswith, contains, icontains, isnull
  • For numerics: gt, lt, gte, lte, isnull
  • For spatial fields: contains, isnull, within, intersects, disjoint, touches, overlaps, covers, coveredby Examples: +++usage_state__txt__istartswith=in+++ , +++plan__state__txt__startswith=In+++ , +++creation_date__gte=2019-01-02T15:32:01+++, +++location__within=POLYGON ((641503.89 6944059.81, 641406.52 6943933.87, 641369.48 6943772.48, 641474.25 6943704.74, 641873.78 6943735.96, 641848.38 6943975.15, 641607.08 6944167.76, 641653.11 6944102.15, 641503.89 6944059.81))+++ Supports exclusive queries by field value using a not-operator preceeding the field lookup: Examples: +++not__type__txt__istartswith=Tie+++ , +++not__id=1390+++
orderby
string

Selects the object field to order the returned objects by. Can be used to sort in reverse order with '-' prefix. Can have several ordering rules separated by comma. Can be used only for object own fields and does not supports structured queries. Example: orderby=creator,-creation_date

Responses
200

A result response object.

{
  "Next": null,
  "Previous": null,
  "Results": [
    {
      "bitrate": null,
      "ccpOwner": null,
      "channelType": null,
      "connectorNumber": 12,
      "connectorType": null,
      "constState": {
        "availability_end_ts": "2020-12-31",
        "availability_start_ts": "2020-01-01",
        "available": true,
        "groupname": "KN_CONST_STATE",
        "id": 6050,
        "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/KN_CONST_STATE/",
        "logical_txt": "Valmis",
        "num_value": 10.1,
        "num_value2": 20.2,
        "num_value3": 30.3,
        "num_value4": 40.4,
        "txt": "Valmis"
      },
      "freeStatus": 1,
      "functionality": "",
      "id": 595250,
      "name": "12",
      "parent": null,
      "priority": null,
      "remarks": "",
      "services": [
        {
          "cableLength": null,
          "id": 10,
          "servicegroups": [
            {
              "id": 401,
              "name": "Test",
              "priority": 2,
              "remarks": "testaus",
              "sprimary": 1
            }
          ],
          "technology": {
            "availability_end_ts": "2020-12-31",
            "availability_start_ts": "2020-01-01",
            "available": true,
            "groupname": "CABLE_TECHNOLOGY",
            "id": 30,
            "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/CABLE_TECHNOLOGY/",
            "logical_txt": "Kuitu",
            "num_value": 10.1,
            "num_value2": 20.2,
            "num_value3": 30.3,
            "num_value4": 40.4,
            "txt": "Kuitu"
          },
          "usage": {
            "availability_end_ts": "2020-12-31",
            "availability_start_ts": "2020-01-01",
            "available": true,
            "groupname": "USAGE",
            "id": 14970,
            "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/USAGE/",
            "logical_txt": "50 VOIP-liittymä",
            "num_value": 10.1,
            "num_value2": 20.2,
            "num_value3": 30.3,
            "num_value4": 40.4,
            "txt": "50 VOIP-liittymä"
          }
        }
      ],
      "signalDirection": null,
      "startThread": 23,
      "subCcpOrder": null,
      "subchannelsExist": "",
      "technology": 0,
      "terminal": "https://keycom.example.fi/api/v2/devices/3390/"
    }
  ],
  "Total": 1
}
Expand All
object
Next
string (url)

Url to next page of cross connection points. Null if No next page exist

Prev
string (url)

Url to previous page of cross connection points. Null if No previous page exist

Results
Array of object (CCP)

List of fetched cross connection points

object
bitrate
object (Bitrate)
description
string

Bitrate description

id
integer

Primary key

rate
integer

Bitrate value

ccpOwner
object (CcpOwner)

Cross connection point owner

availability_end_ts
string (date-time)

Ending date time for availability

availability_start_ts
string (date-time)

Beginning date time for availability

available
boolean

Is object deemed as available. Based on availability_start_ts and availability_end_ts values.

groupname

Group name of constant

Valid values[ "KN_CCP_OWNER" ]
id
integer

Unique id of constant

list_url
string (url)

Url to fetch all constants from this group

logical_txt
string

Logical textual value

num_value
number (float)

Numeric value

num_value2
number (float)

Numeric value 2

num_value3
number (float)

Numeric value 3

num_value4
number (float)

Numeric value 4

txt
string

Human readable textual representation

channelType
object (ChannelType)

Cross connection point channel type

availability_end_ts
string (date-time)

Ending date time for availability

availability_start_ts
string (date-time)

Beginning date time for availability

available
boolean

Is object deemed as available. Based on availability_start_ts and availability_end_ts values.

groupname

Group name of constant

Valid values[ "CHANNEL_TYPE" ]
id
integer

Unique id of constant

list_url
string (url)

Url to fetch all constants from this group

logical_txt
string

Logical textual value

num_value
number (float)

Numeric value

num_value2
number (float)

Numeric value 2

num_value3
number (float)

Numeric value 3

num_value4
number (float)

Numeric value 4

txt
string

Human readable textual representation

connectorType
object (ConnectorType)
abbreviation
string

Abbreviation

attenuation
number (float)

Attenuation

description
string

Description

id
integer

Primary key

technologyId
integer

Technology id.

Valid values[ 1, 0 ]
threadCount
integer

Thread count

constState
object (ConstructionState)

Txt constants construction state

availability_end_ts
string (date-time)

Ending date time for availability

availability_start_ts
string (date-time)

Beginning date time for availability

available
boolean

Is object deemed as available. Based on availability_start_ts and availability_end_ts values.

groupname

Group name of constant

Valid values[ "KN_CONST_STATE" ]
id
integer

Unique id of constant

list_url
string (url)

Url to fetch all constants from this group

logical_txt
string

Logical textual value

num_value
number (float)

Numeric value

num_value2
number (float)

Numeric value 2

num_value3
number (float)

Numeric value 3

num_value4
number (float)

Numeric value 4

txt
string

Human readable textual representation

freeStatus
integer

Defines if cross connection point is free

Valid values[ 1, 0 ]
functionality
string

Functionality

id
integer

Primary key

name
string

Name of cross connection point

parent
string (url)

Url to fetch details of parent cross connection point

priority
object (CcpPriority)

Cross connection point priority

availability_end_ts
string (date-time)

Ending date time for availability

availability_start_ts
string (date-time)

Beginning date time for availability

available
boolean

Is object deemed as available. Based on availability_start_ts and availability_end_ts values.

groupname

Group name of constant

Valid values[ "CCP_PRIORITY" ]
id
integer

Unique id of constant

list_url
string (url)

Url to fetch all constants from this group

logical_txt
string

Logical textual value

num_value
number (float)

Numeric value

num_value2
number (float)

Numeric value 2

num_value3
number (float)

Numeric value 3

num_value4
number (float)

Numeric value 4

txt
string

Human readable textual representation

remarks
string

Remarks

services
Array of object (ServiceType)

List of this cross connection point's services

object
cableLength
number (float)

Cable length

id
integer

Primary key

servicegroups
Array of object (ServiceGroup)

List of service groups for this service

object
id
integer

Primary key

name
string

Name of service type group

priority
integer

Priority

remarks
string

Remarks

sprimary
integer

Sprimary

technology
object (ServiceTypeTechnology)

Cable type technology

availability_end_ts
string (date-time)

Ending date time for availability

availability_start_ts
string (date-time)

Beginning date time for availability

available
boolean

Is object deemed as available. Based on availability_start_ts and availability_end_ts values.

groupname

Group name of constant

Valid values[ "CABLE_TECHNOLOGY" ]
id
integer

Unique id of constant

list_url
string (url)

Url to fetch all constants from this group

logical_txt
string

Logical textual value

num_value
number (float)

Numeric value

num_value2
number (float)

Numeric value 2

num_value3
number (float)

Numeric value 3

num_value4
number (float)

Numeric value 4

txt
string

Human readable textual representation

usage
object (ServiceTypeUsage)

Service usage

availability_end_ts
string (date-time)

Ending date time for availability

availability_start_ts
string (date-time)

Beginning date time for availability

available
boolean

Is object deemed as available. Based on availability_start_ts and availability_end_ts values.

groupname

Group name of constant

Valid values[ "USAGE", "CCP_SERVICE" ]
id
integer

Unique id of constant

list_url
string (url)

Url to fetch all constants from this group

logical_txt
string

Logical textual value

num_value
number (float)

Numeric value

num_value2
number (float)

Numeric value 2

num_value3
number (float)

Numeric value 3

num_value4
number (float)

Numeric value 4

txt
string

Human readable textual representation

signalDirection
object (SignalDirection)

Cross connection point signal direction

availability_end_ts
string (date-time)

Ending date time for availability

availability_start_ts
string (date-time)

Beginning date time for availability

available
boolean

Is object deemed as available. Based on availability_start_ts and availability_end_ts values.

groupname

Group name of constant

Valid values[ "KN_SIGNAL_DIR" ]
id
integer

Unique id of constant

list_url
string (url)

Url to fetch all constants from this group

logical_txt
string

Logical textual value

num_value
number (float)

Numeric value

num_value2
number (float)

Numeric value 2

num_value3
number (float)

Numeric value 3

num_value4
number (float)

Numeric value 4

txt
string

Human readable textual representation

startThread
integer

Start thread

subCcpOrder
integer

Sub connector order

subchannelsExist
string

Defines whether subchannels exist or not

Valid values[ "1", "0" ]
technology
integer

Technology of ccp. 1 for Fiber, 0 for Copper.

Valid values[ 1, 0 ]
terminal
string (url)

url of cross connection point terminal/device

Total
integer

Total number of cross connection points

401

Authentication credentials are missing or invalid

{
  "details": "Authentication credentials were not provided"
}
object
details
string

Detailed description of error